%global major 0
%define libname %mklibname ndp %{major}
%define devname %mklibname -d ndp

Name: libndp
Version: 1.8
Release: %mkrel 1
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.xz

%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n ndptool
Summary: Tool for sending and receiving NDP messages
Group: System/Libraries

%description -n ndptool
ndptool is a tool which provides wrapper over Neighbor Discovery Protocol messages.

%package -n %{libname}
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries

%description -n %{libname}
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{devname}
Group: Development/Libraries
Summary: Libraries and header files for libndp development
Requires: %{libname} = %{version}-%{release}
Provides: libndp-devel = %{version}-%{release}

%description -n %{devname}
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q

%build
%configure2_5x  --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n ndptool
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/ndp.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Aug 05 2021 tex - 1.8-1pclos2021
- 1.8
